library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

package dtc_link_maps is
    constant cNumberOfFEModules   : integer := 12;
    constant cNumberOfOutputLinks : integer := 4;

    type tDTCInputLinkMap is array(0 to cNumberOfFEModules - 1) of integer;
    constant cDTCInputLinkMap     : tDTCInputLinkMap := (16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27);

    type tDTCOutputLinkMap is array(0 to cNumberOfOutputLinks - 1) of integer;
    constant cDTCOutputLinkMap    : tDTCOutputLinkMap := (16, 17, 18, 19);
end package dtc_link_maps;
